// EdIRBk.hpp : header file
//

#ifndef _EDIRBK_HPP_
#define _EDIRBK_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// class CPA_EdIR_BreakPoint
/////////////////////////////////////////////////////////////////////////////

class CPA_EdIR_BreakPoint
{
	private:
		long											m_lIndex;
		CString										m_csBehaviourName;
		struct tdstNodeInterpret_ *m_pstNode;

	public:
		CPA_EdIR_BreakPoint(long,CString);

		struct tdstNodeInterpret_	*m_fn_pstGetNode();
		long											m_fn_lGetIndex();
		CString										m_fn_csGetBehaviourName();

		void											m_fn_vSetNode(struct tdstNodeInterpret_ *);
		void											m_fn_vSetIndex(long);
};

#endif //_EDIRBK_HPP_
